## Class TDataGridSortCommandEventParameter

Description

TDataGridSortCommandEventParameter class

TDataGridSortCommandEventParameter encapsulates the parameter data for TDataGrid::onSortCommand event of TDataGrid controls.

The CommandSource property refers to the control that originally raises the OnCommand event, while SortExpression gives the sort expression carried with the sort command.

- since: 3.0
- version: $Id: TDataGrid.php 2211 2007-09-07 13:34:10Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataGrid.php (line 1769)

    TComponent
       |
       --TEventParameter
          |
          --TDataGridSortCommandEventParameter

Method Summary
TDataGridSortCommandEventParameter __construct (TControl $source, TDataGridCommandEventParameter $param)
TControl getCommandSource ()
string getSortExpression ()
Methods
Constructor __construct (line 1785)

Constructor.

- access: public

TDataGridSortCommandEventParameter __construct (TControl $source, TDataGridCommandEventParameter $param)

- TControl $source: the control originally raises the OnCommand event.
- TDataGridCommandEventParameter $param: command event parameter

getCommandSource (line 1794)

- return: the control originally raises the OnCommand event.
- access: public

TControl getCommandSource ()
getSortExpression (line 1802)

- return: sort expression
- access: public

string getSortExpression ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:30 -0400 by phpDocumentor 1.3.0RC4